import { useI18n } from '@solid-primitives/i18n';
import { Box, TextField, Stack, Button, IconButton } from '@suid/material';
import { cloneDeep } from 'lodash';
import { Component, createSignal } from 'solid-js';
import { emptyWpt } from '../../db/wpt';
import { peekCachedSignal } from '../../workers/cached-signals';
import dispatch from '../../workers/dispatcher-main';
import EditIcon from '@suid/icons-material/Edit';
import Dialog from '../dialog';
import WptEditDialog from './WptEditDialog';

interface Props {
  wptId: string;
}

const WptEditButtonAndDialog: Component<Props> = ({ wptId }) => {
  const [open, setOpen] = createSignal(false);
  return (
    <>
      <IconButton
        onClick={() => {
          setOpen(true);
          return false;
        }}
      >
        <EditIcon />
      </IconButton>
      <WptEditDialog
        wptId={wptId}
        open={open}
        closeHandler={() => setOpen(false)}
      />
    </>
  );
};

export default WptEditButtonAndDialog;
