import { Component } from 'solid-js';
import WptIcon from '../../icons/location-pin-svgrepo-com.svg?component-solid';
import { peekCachedSignal } from '../../workers/cached-signals';
import Tree from '../tree';
import WptEditButtonAndDialog from './WptEditButtonAndDialog';

interface Props {
  wptId: string;
}

const WptViewer: Component<Props> = ({ wptId }) => {
  const wpt = peekCachedSignal({ id: wptId, method: 'getWpt' });
  console.log({ caller: 'WptViewer', wptId, wpt: wpt() });
  const title = () => {
    return wpt().name;
  };

  return (
    <Tree
      title={
        <>
          <WptIcon fill='black' width='24' height='24' viewBox='0 0 300 300' />
          {title()}
          <WptEditButtonAndDialog wptId={wptId} />
        </>
      }
      content={undefined}
      subTree={undefined}
    />
  );
};

export default WptViewer;
